Bug 1254511 - ppc64le missing in rsyslog7.4.7.tar.gz/config.guess
ppc64le missing in rsyslog7.4.7.tar.gz/config.guess
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog (Show other bugs)
7.2
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Tomas Heinrich
Marek Marusic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 06:02 EDT by Marek Marusic
Modified: 2015-11-19 09:30 EST (History)
5 users (show)

See Also:
Fixed In Version: rsyslog-7.4.7-11.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-19 09:30:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch that resolves config.guess system-recognition on ppc64le architecture (412 bytes, patch)
2015-08-18 11:16 EDT, Radovan Sroka
no flags Details | Diff

  None (edit)
Description Marek Marusic 2015-08-18 06:02:42 EDT
Description of problem:
When you try to run ./config.guess inside directory with extracted rsyslog-7.4.7.tar.gz it fails with "unable to guess system type". 

Version-Release number of selected component (if applicable):
rsyslog-7.4.7-10.el7.ppc64le

How reproducible:
always

Steps to Reproduce:
1.extract rsyslog-7.4.7.tar.gz
2.# cd rsyslog-7.4.7
3.# ./config.guess

Actual results:
[root@ rsyslog-7.4.7]# ./config.guess 
./config.guess: unable to guess system type

This script, last modified 2012-02-10, has failed to recognize
the operating system you are using. It is advised that you
download the most up to date version of the config scripts from

  http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.guess;hb=HEAD
and
  http://git.savannah.gnu.org/gitweb/?p=config.git;a=blob_plain;f=config.sub;hb=HEAD

If the version you run (./config.guess) is already up to date, please
send the following data and any information you think might be
pertinent to <config-patches@gnu.org> in order to provide the needed
information to handle your system.

config.guess timestamp = 2012-02-10

uname -m = ppc64le
uname -r = 3.10.0-302.el7.ppc64le
uname -s = Linux
uname -v = #1 SMP Fri Jul 31 18:34:32 EDT 2015

/usr/bin/uname -p = ppc64le
/bin/uname -X     = 

hostinfo               = 
/bin/universe          = 
/usr/bin/arch -k       = 
/bin/arch              = ppc64le
/usr/bin/oslevel       = 
/usr/convex/getsysinfo = 

UNAME_MACHINE = ppc64le
UNAME_RELEASE = 3.10.0-302.el7.ppc64le
UNAME_SYSTEM  = Linux
UNAME_VERSION = #1 SMP Fri Jul 31 18:34:32 EDT 2015


Expected results:
[root@ rsyslog-7.4.7]# ./config.guess 
powerpc64le-unknown-linux-gnu


Additional info:
The ./config.guess is used in ./configure script.
Comment 2 Radovan Sroka 2015-08-18 11:16:08 EDT
Created attachment 1064363 [details]
patch that resolves config.guess system-recognition on ppc64le architecture
Comment 9 errata-xmlrpc 2015-11-19 09:30:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2173.html

Note You need to log in before you can comment on or make changes to this bug.